package com.qmth.sop.common.enums;

/**
 * @Description: 动态表单运算符enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/9/7
 */
public enum FormWidgetMetadataOperator {

    EQ("等于", " = "),

    NE("不等于", " <> "),

    GT("大于", " > "),

    LT("小于", " < "),

    GE("大于等于", " >= "),

    LE("小于等于", " <= "),

    LIKE("模糊查询", " like concat "),

    IN("在范围内", " in "),

    NOT_IN("不在范围内", " not in ");

    private String title;

    private String code;

    private FormWidgetMetadataOperator(String title, String code) {
        this.title = title;
        this.code = code;
    }

    public String getTitle() {
        return title;
    }

    public String getCode() {
        return code;
    }
}
